Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransactionCRUDExtension

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.PaymentTransactionCRUD
          com.beasys.commerce.ebusiness.payment.PaymentTransactionCRUDExtension

Deprecated

    @Deprecated
    public class PaymentTransactionCRUDExtension

extends PaymentTransactionCRUD

CRUD for entity bean PaymentTransaction

Constructor Summary
`PaymentTransactionCRUDExtension()` Deprecated

Method Summary
`static void` | `create(Connection connection, Object key)` Deprecated Creates a single row in the database, using primary key and initial workflow state.

Methods inherited from class com.beasys.commerce.ebusiness.payment.PaymentTransactionCRUD
`delete, exists, findByStatus, refresh, refreshDirect, update, updateDirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransactionCRUDExtension

    public PaymentTransactionCRUDExtension()

  Deprecated

Method Detail

### create

    public static void create(Connection connection,
                              Object key)
                       throws BMPException

  Deprecated
  Creates a single row in the database, using primary key and initial workflow state.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.